# std::experimental::erase_if (std::deque)

From cppreference.com
< cpp‎ | experimental

Defined in header `<experimental/deque>` |  |
template< class T, class Alloc, class Pred > void erase_if( std::deque <T,Alloc>& c, Pred pred); |  | (library fundamentals TS v2)

Erases all elements that satisfy the predicate `pred` from the container. Equivalent to c.erase( std::remove_if (c.begin(), c.end(), pred), c.end());

### Parameters

c | - | container from which to erase
pred | - | predicate that determines which elements should be erased

### Complexity

Linear.

### Example

| This section is incomplete Reason: no example

### See also

removeremove_if | removes elements satisfying specific criteria (function template)
erase (std::deque) (library fundamentals 2 TS) | Erases all elements equal to a specific value from a std::deque (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/deque/erase_if&oldid=98555"